#!/bin/sh

# Copyright 2014 Paul Hänsch
#
# This file is part of Busy
# 
# Busy is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Busy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Busy. If not, see <http://www.gnu.org/licenses/>. 

info="$(printf %s\\n   "${_GET[i]}" |sed -rn '1{/^[0-9]{10}_[0-9]{3}$/p}')"
edit="$(printf %s\\n   "${_GET[e]}" |sed -rn '1{/^[0-9]{10}_[0-9]{3}$/p}')"
search="$(printf %s\\n "${_GET[s]}" |sed -rn '1{s:\t: :g;s:\r::g;s:\\:\\\\:g;p}')"
new="$(echo -e "${_GET[n]}" |sed -rn '1{s:\t: :g;s:\r::g;s:\\:\\\\:g;p}')"

[ -z "$ACL_CREATETASK" ] && ACL_CREATETASK=false


case "$1" in
  title)
    echo "Tasks"
  ;;
  css)
    cat ${_EXEC}/templates/Tasks.css
  ;;
  body)
    #. ${_EXEC}/templates/text_tasks.sh
    . ${_EXEC}/templates/Tasks.page
  ;;
esac
  
